LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices

Reply
 
Search this Thread
Old 10-19-2007, 08:07 AM   #1
saistain
LQ Newbie
 
Registered: Oct 2007
Posts: 9

Rep: Reputation: 0
install or upgrade newer or older gcc version


I have gcc version 4.0.2, and I need gcc version 3 to compile some software.

Here's where I'm not sure what to do - should I downgrade, or should I install a new gcc and run it separately?

For the former, how do I change gcc versions? I see a lot of guides that point to: Installing GCC - GNU Project - Free Software Foundation (FSF)
which only tells u how to do new installations

As for the latter, how do you deal with 2 versions of gcc? how do u specify one version over another?

Thx in advance
and oh yea if u can, plz go into as much detail as possible. I'm finding it difficult to find guides on the web for simple operations in Linux like upgrading gcc, etc.
 
Old 10-19-2007, 10:26 PM   #2
studioj
Member
 
Registered: Oct 2006
Posts: 460

Rep: Reputation: 31
since gcc is a core part of your operating system don't try to upgrade/downgrade your core gcc. When you need another version of gcc
just use the version you have to compile the new one and install in a safe place like /opt/gcc3.

use these instructions and follow them to the letter for a working version of gcc 3.3.6
http://www.linuxfromscratch.org/blfs...eral/gcc3.html

to use your gcc3 like the instructions say you can use these shell variables
export CC=/opt/gcc-3.3.6/bin/gcc
or adjust the PATH variable to start with /opt/gcc-3.3.6/bin
with something like
export PATH=/opt/gcc-3.3.6/bin:"${PATH}"
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
older and newer version of a package at the same time Ayman.mashal Linux - Newbie 1 07-29-2005 10:05 PM
kernel build problems -how to install older gcc version? kpachopoulos Fedora 3 07-04-2005 08:56 AM
Upgrading from older version to newer Perquisitor Linux - Newbie 1 01-20-2005 02:58 PM
Newer version of glibc means i cant install gcc coop Red Hat 0 09-21-2003 01:40 AM
Install older version of gcc s9902245 Linux - Newbie 1 09-16-2003 03:08 PM


All times are GMT -5. The time now is 11:17 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration